Storyden
Robots

Inspect a Robot session turn stream

Read the current stream offset and state without returning events.

HEAD
/robots/sessions/{session_id}/turns/{turn_id}

Read the current stream offset and state without returning events.

Authorization

cookiestoryden-session<token>

Path Parameters

session_id*string

Robot session ID

Formatxid
turn_id*string

Robot turn ID

Formatxid

Query Parameters

offset?string

Read events after this stream offset. Use -1 to start at beginning.

Default"-1"

Response Body

Current Robot turn stream state.

Example Request
curl -X HEAD 'https://example.com/api/robots/sessions/string/turns/string'
Example Response
Empty